Package org.drinkless.tdlib

# Class TdApi.PushMessageContentPhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentPhoto

Enclosing class:
  `TdApi`

public static class TdApi.PushMessageContentPhoto extends TdApi.PushMessageContent
A photo message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `caption`
  Photo caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPinned`
  True, if the message is a pinned message with the specified content.
  `boolean`
  `isSecret`
  True, if the photo is secret.
  `TdApi.Photo`
  `photo`
  Message content; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentPhoto()`
  A photo message.
  `PushMessageContentPhoto(TdApi.Photo photo, String caption, boolean isSecret, boolean isPinned)`
  A photo message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### photo

    @Nullable public TdApi.Photo photo
    Message content; may be null.

  - ### caption

    public String caption
    Photo caption.

  - ### isSecret

    public boolean isSecret
    True, if the photo is secret.

  - ### isPinned

    public boolean isPinned
    True, if the message is a pinned message with the specified content.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentPhoto

    public PushMessageContentPhoto()
    A photo message.

  - ### PushMessageContentPhoto

    public PushMessageContentPhoto(TdApi.Photo photo, String caption, boolean isSecret, boolean isPinned)
    A photo message.
    Parameters:
      `photo` - Message content; may be null.
      `caption` - Photo caption.
      `isSecret` - True, if the photo is secret.
      `isPinned` - True, if the message is a pinned message with the specified content.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR